XIncludeFile "CabExtractor_Constants.pb"


Procedure.l Window_Main()
  If OpenWindow(#Window_Main,175,0,546,298,#PB_Window_SystemMenu|#PB_Window_ScreenCentered|#PB_Window_Invisible,"CAB Extractor v1.0 - Copyright2003 Reel Media Productions")
    If CreateGadgetList(WindowID())
      ExplorerTreeGadget(#Gadget_Main_Dir,5,10,210,280,"",#PB_Explorer_AlwaysShowSelection)
        BubbleTip(#Window_Main,#Gadget_Main_Dir,"Select CAB file you wish to View")
      ListIconGadget(#Gadget_Main_Data,225,10,315,235,"File Name",150,#PB_ListIcon_MultiSelect|#PB_ListIcon_GridLines|#PB_ListIcon_FullRowSelect|#PB_ListIcon_AlwaysShowSelection)
        SendMessage_(GadgetID(#Gadget_Main_Data),#LVM_SETBKCOLOR,0,15138815)
        SendMessage_(GadgetID(#Gadget_Main_Data),#LVM_SETTEXTBKCOLOR,0,15138815)
        AddGadgetColumn(#Gadget_Main_Data,1,"Size (kb)",70)
        AddGadgetColumn(#Gadget_Main_Data,2,"Date",70)
        BubbleTip(#Window_Main,#Gadget_Main_Data,"To Extract specific files from CAB, select them here.")
      ButtonGadget(#Gadget_Main_Extract,470,270,70,20,"Extract")
        SetGadgetFont(#Gadget_Main_Extract,LoadFont(#Gadget_Main_Extract,"Arial",10,256))
        BubbleTip(#Window_Main,#Gadget_Main_Extract,"Click here to Extract Files")
      TextGadget(#Gadget_Main_TextFolder,225,255,195,15,"Extract to this Folder:  (Blank = Current)")
      StringGadget(#Gadget_Main_Folder,225,270,195,20,"")
        BubbleTip(#Window_Main,#Gadget_Main_Folder,"Leave this field blank to use Current Folder as Extract Folder")
      ButtonImageGadget(#Gadget_Main_FindFolder,425,270,20,20,UseImage(#Image_Main_FindFolder))
        BubbleTip(#Window_Main,#Gadget_Main_FindFolder,"Click here to select Folder to Extract CAB files")
      HideWindow(#Window_Main,0)
      ProcedureReturn WindowID()
    EndIf
  EndIf
EndProcedure


Procedure.l Window_Extracting()
  If OpenWindow(#Window_Extracting,175,0,281,148,#PB_Window_SystemMenu|#PB_Window_WindowCentered|#PB_Window_Invisible,"Extracting Files from CAB")
    If CreateGadgetList(WindowID())
      Gadget_Extracting_xAnimImage10=CreateWindowEx_(0,"SysAnimate32","",#ACS_AUTOPLAY|#ACS_CENTER|#ACS_TRANSPARENT|#WS_CHILD|#WS_VISIBLE|#WS_CLIPCHILDREN|#WS_CLIPSIBLINGS,0,0,280,60,WindowID(#Window_Extracting),0,GetModuleHandle_(0),0)
      SendMessage_(Gadget_Extracting_xAnimImage10,#ACM_OPEN,Shell32,160)
      EditorGadget(#Gadget_Extracting_Progress,0,65,280,80)
      HideWindow(#Window_Extracting,0)
      ProcedureReturn WindowID()
    EndIf
  EndIf
EndProcedure


